> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Active Vendors

> Get vendors that have at least one campaign created for the given DSP.

This endpoint returns a list of vendors that have at least one campaign created for the given DSP.
The list is paginated and the next page token is returned in the response.
The next page token can be used to get the next page of vendors.



## OpenAPI

````yaml /openapi.json get /public/v1/offsite-ads/vendors/active
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/offsite-ads/vendors/active:
    get:
      tags:
        - Offsite Ads API
      summary: Get Active Vendors
      description: >-
        Get vendors that have at least one campaign created for the given DSP.


        This endpoint returns a list of vendors that have at least one campaign
        created for the given DSP.

        The list is paginated and the next page token is returned in the
        response.

        The next page token can be used to get the next page of vendors.
      operationId: get_active_vendors
      parameters:
        - name: dsp
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Advanced_APIs_PublicDsp'
            description: The DSP to filter vendors by.
            examples:
              - google_ads
              - meta
          description: The DSP to filter vendors by.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 365
            minimum: 0
            description: The pagination limit.
            default: 100
          description: The pagination limit.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_ActiveVendorsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_PublicDsp:
      type: string
      enum:
        - google_ads
        - meta
      title: PublicDsp
      description: The DSP to scope the requested operation or to filter the response by.
    Advanced_APIs_ActiveVendorsResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: Whether there are more active vendors
        nextPage:
          title: Nextpage
          description: The next page token
          oneOf:
            - type: string
            - type: 'null'
        vendors:
          items:
            type: string
          type: array
          title: Vendors
          description: The active vendor ids for the DSP
      type: object
      required:
        - hasMore
        - nextPage
        - vendors
      title: ActiveVendorsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````